summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Arn0 <yth@ythogtha.org>2023-02-28 10:34:56 +0100
committer bedlam <dave@slackbuilds.org>2023-03-04 05:42:20 +0000
commite36eda93d3ed96b2dacc102bfee5691d19195097 (patch)
tree38a80d72e230fc4095afd31367d845b1e66a77b9
parent4cb90f360da0c692f398f73f7ca131a06dc19b05 (diff)
downloadslackbuilds-e36eda93d3ed96b2dacc102bfee5691d19195097.tar.gz
slackbuilds-e36eda93d3ed96b2dacc102bfee5691d19195097.tar.xz
network/uwsgi: Updated for version 2.0.21.
Also fix python3 build. Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/uwsgi/README3
-rw-r--r--network/uwsgi/uwsgi.SlackBuild26
-rw-r--r--network/uwsgi/uwsgi.info6
3 files changed, 18 insertions, 17 deletions
diff --git a/network/uwsgi/README b/network/uwsgi/README
index 237dee5845..1f418583da 100644
--- a/network/uwsgi/README
+++ b/network/uwsgi/README
@@ -10,6 +10,5 @@ uWSGI is designed to be fully modular. This means that different
plugins can be used in order to add compatibility with tons of different
technology on top of the same core.
-This script builds plugins for Python 2.x, Python 3.x (optional, pass
-PYTHON3=yes to enable; requires python3 to be installed), Perl PSGI, and
+This script builds plugins for Python 2.x, Python 3.x, Perl PSGI, and
Ruby Rack.
diff --git a/network/uwsgi/uwsgi.SlackBuild b/network/uwsgi/uwsgi.SlackBuild
index aa96974e55..d4d4aa4bfa 100644
--- a/network/uwsgi/uwsgi.SlackBuild
+++ b/network/uwsgi/uwsgi.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=uwsgi
-VERSION=${VERSION:-2.0.20}
+VERSION=${VERSION:-2.0.21}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -64,12 +64,11 @@ else
LIBDIRSUFFIX=""
fi
-# Build Python 2.x plugin.
-PYTHON=${PYTHON:-yes}
+# Python2 plugin.
+PYTHON2=${PYTHON2:-yes}
-# Set this to "yes" if you want to build a plugin for Python 3.x. Requires
-# python3 to be installed.
-PYTHON3=${PYTHON3:-no}
+# Python3 plugin.
+PYTHON3=${PYTHON3:-yes}
# Perl PSGI plugin.
PSGI=${PSGI:-yes}
@@ -102,7 +101,7 @@ EOF
# Build uWSGI core.
CFLAGS="$SLKCFLAGS" \
-python2 uwsgiconfig.py --build package
+python3 uwsgiconfig.py --build package
install -D -m 0755 uwsgi $PKG/usr/bin/uwsgi
# Create directory for plugins.
@@ -115,17 +114,20 @@ sed -i "s|= /usr|= $PKG/usr|" buildconf/package.ini
PLUGINS="cache ping rpc corerouter fastrouter http ugreen signal syslog"
# Decide which language plugins to build.
-[ "$PYTHON" = "yes" ] && PLUGINS="$PLUGINS python"
[ "$PSGI" = "yes" ] && PLUGINS="$PLUGINS psgi"
[ "$RACK" = "yes" ] && PLUGINS="$PLUGINS rack"
# Build plugins.
for PLUGIN in $PLUGINS ; do
CFLAGS="$SLKCFLAGS" \
- python uwsgiconfig.py --plugin plugins/$PLUGIN package
+ python3 uwsgiconfig.py --plugin plugins/$PLUGIN package
done
-
-# Use python3 to build plugin for it.
+# Use python2 to build python2 plugin
+if [ "$PYTHON2" = "yes" ]; then
+ CFLAGS="$SLKCFLAGS" \
+ python2 uwsgiconfig.py --plugin plugins/python package python
+fi
+# Use python3 to build python3 plugin
if [ "$PYTHON3" = "yes" ]; then
CFLAGS="$SLKCFLAGS" \
python3 uwsgiconfig.py --plugin plugins/python package python3
@@ -133,7 +135,7 @@ fi
# Create a few symlinks for automatic plugin loading.
( cd $PKG/usr/bin
- [ "$PYTHON" = "yes" ] && ln -sf uwsgi uwsgi_python || true
+ [ "$PYTHON2" = "yes" ] && ln -sf uwsgi uwsgi_python || true
[ "$PYTHON3" = "yes" ] && ln -sf uwsgi uwsgi_python3 || true
[ "$PSGI" = "yes" ] && ln -sf uwsgi uwsgi_psgi || true
[ "$RACK" = "yes" ] && ln -sf uwsgi uwsgi_rack || true
diff --git a/network/uwsgi/uwsgi.info b/network/uwsgi/uwsgi.info
index 9e74cb3e3b..99a6eddb2c 100644
--- a/network/uwsgi/uwsgi.info
+++ b/network/uwsgi/uwsgi.info
@@ -1,8 +1,8 @@
PRGNAM="uwsgi"
-VERSION="2.0.20"
+VERSION="2.0.21"
HOMEPAGE="https://uwsgi-docs.readthedocs.io/"
-DOWNLOAD="https://projects.unbit.it/downloads/uwsgi-2.0.20.tar.gz"
-MD5SUM="0093ff2a06ad47f0b1a2f1a7944285c9"
+DOWNLOAD="https://files.pythonhosted.org/packages/source/u/uwsgi/uwsgi-2.0.21.tar.gz"
+MD5SUM="ebf1760c403ee8cdf4f22225f4eb4628"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""